Skip to main content
POST
/
preview
Create Preview
curl --request POST \
  --url https://api.brightdata.com/datasets/deep_lookup/v1/preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "query": "<string>"
  }
]
'
{
  "preview_id": "<string>",
  "columns": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Preview data is not immediately available.Use the Get Preview Data endpoint to retrieve results.

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Body

application/json
query
string
required
Example:

"Find all AI startups founded after 2020 with more than 50 employees"

Response

200 - application/json

Preview created successfully

preview_id
string
Example:

"dld_meu4lhla1lj08i6p30"

columns
object[]
Example:
[
{
"company_name": "Anthropic",
"website": "anthropic.com",
"founded_year": 2021,
"employee_count": 160
}
]